Last Comment Bug 661091 - iQ.animate: only animate properties that are changing
: iQ.animate: only animate properties that are changing
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- trivial
: Firefox 7
Assigned To: Tim Taubert [:ttaubert]
:
:
Mentors:
Depends on:
Blocks: 660175
  Show dependency treegraph
 
Reported: 2011-05-31 23:10 PDT by Tim Taubert [:ttaubert]
Modified: 2016-04-12 14:00 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (805 bytes, patch)
2011-05-31 23:16 PDT, Tim Taubert [:ttaubert]
sdwilsh: review+
raymond: feedback+
Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] 2011-05-31 23:10:40 PDT
>  this.css({
>    '-moz-transition-property': 'all', // TODO: just animate the properties we're changing
>    '-moz-transition-duration': (duration / 1000) + 's',
>    '-moz-transition-timing-function': easing
>  });
Comment 1 Tim Taubert [:ttaubert] 2011-05-31 23:16:14 PDT
Created attachment 536531 [details] [diff] [review]
patch v1
Comment 2 Raymond Lee [:raymondlee] 2011-05-31 23:25:34 PDT
Comment on attachment 536531 [details] [diff] [review]
patch v1

Looks good
Comment 3 Shawn Wilsher :sdwilsh 2011-06-01 11:35:25 PDT
Comment on attachment 536531 [details] [diff] [review]
patch v1

r=sdwilsh
Comment 4 Tim Taubert [:ttaubert] 2011-06-03 10:24:45 PDT
http://hg.mozilla.org/mozilla-central/rev/bcccd02b5294
Comment 5 Tim Taubert [:ttaubert] 2011-06-15 03:49:18 PDT
Backed out because this breaks sequential iQ.animate() calls. If we call .fadeIn() and then .setBounds() it interrupts the fading animation and starts the bounds animation.
Comment 6 Philipp von Weitershausen [:philikon] 2011-06-15 08:47:11 PDT
Backed out the back out since it caused a Moth failure on Linux64 opt: http://hg.mozilla.org/integration/mozilla-inbound/rev/b4f654c5f999
Comment 7 Tim Taubert [:ttaubert] 2011-07-03 13:51:10 PDT
Re-marking as fixed.

Note You need to log in before you can comment on or make changes to this bug.